diff --git a/books/bookvol10.4.pamphlet b/books/bookvol10.4.pamphlet
index 8609ebd..aa10f74 100644
--- a/books/bookvol10.4.pamphlet
+++ b/books/bookvol10.4.pamphlet
@@ -120526,17 +120526,236 @@ NagPolynomialRootsPackage(): Exports == Implementation where
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package NAGC05 NagRootFindingPackage}
 \begin{chunk}{NagRootFindingPackage.input}
-)set break resume
-)sys rm -f NagRootFindingPackage.output
-)spool NagRootFindingPackage.output
-)set message test on
-)set message auto off
+ 
 )clear all
 
---S 1 of 1
+--S 1 of 26
 )show NagRootFindingPackage
+--R 
+--R NagRootFindingPackage  is a package constructor
+--R Abbreviation for NagRootFindingPackage is NAGC05 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.4.pamphlet to see algebra source code for NAGC05 
+--R
+--R------------------------------- Operations --------------------------------
+--R c05adf : (DoubleFloat,DoubleFloat,DoubleFloat,DoubleFloat,Integer,Union(fn: FileName,fp: Asp1(F))) -> Result
+--R c05nbf : (Integer,Integer,Matrix(DoubleFloat),DoubleFloat,Integer,Union(fn: FileName,fp: Asp6(FCN))) -> Result
+--R c05pbf : (Integer,Integer,Integer,Matrix(DoubleFloat),DoubleFloat,Integer,Union(fn: FileName,fp: Asp35(FCN))) -> Result
+--R
 --E 1
 
+)clear all
+ 
+--S 2 of 26
+showArrayValues true
+--R 
+--R
+--R   (1)  true
+--R                                                                Type: Boolean
+--E 2
+
+--S 3 of 26
+showScalarValues true
+--R 
+--R
+--R   (2)  true
+--R                                                                Type: Boolean
+--E 3
+
+--S 4 of 26
+f:ASP1(F):=exp(-X)-X
+--R 
+--R
+--R   (3)  F
+--R                                                                Type: Asp1(F)
+--E 4
+
+--S 5 of 26
+a:SF:=0.0
+--R 
+--R
+--R   (4)  0.
+--R                                                            Type: DoubleFloat
+--E 5
+
+--S 6 of 26
+b:SF:=1.0
+--R 
+--R
+--R   (5)  1.
+--R                                                            Type: DoubleFloat
+--E 6
+
+--S 7 of 26
+eps:SF:=1.0e-5
+--R 
+--R
+--R   (6)  9.9999999999999991E-6
+--R                                                            Type: DoubleFloat
+--E 7
+
+--S 8 of 26
+eta:SF:=0.0
+--R 
+--R
+--R   (7)  0.
+--R                                                            Type: DoubleFloat
+--E 8
+
+--S 9 of 26
+-- result:= c05adf(a,b,eps,eta,-1,f)
+--E 9
+
+)clear all
+ 
+--S 10 of 26
+showArrayValues true
+--R 
+--R
+--R   (1)  true
+--R                                                                Type: Boolean
+--E 10
+
+--S 11 of 26
+showScalarValues true
+--R 
+--R
+--R   (2)  true
+--R                                                                Type: Boolean
+--E 11
+
+--S 12 of 26
+n:=9
+--R 
+--R
+--R   (3)  9
+--R                                                        Type: PositiveInteger
+--E 12
+
+--S 13 of 26
+lwa:=n*(3*n+13)/2
+--R 
+--R
+--R   (4)  180
+--R                                                      Type: Fraction(Integer)
+--E 13
+
+--S 14 of 26
+xtol:SF:=1.0e-9
+--R 
+--R
+--R   (5)  9.9999999999999986E-10
+--R                                                            Type: DoubleFloat
+--E 14
+
+--S 15 of 26
+fi:ASP6(FCN):=retract vector[_
+ 3*X[1] - 2*X[1]^2 - 2*X[2] + 1,_
+ -X[1] + 3*X[2] - 2*X[2]^2 - 2*X[3] + 1,_
+ -X[2] + 3*X[3] - 2*X[3]^2 - 2*X[4] + 1,_
+ -X[3] + 3*X[4] - 2*X[4]^2 - 2*X[5] + 1,_
+ -X[4] + 3*X[5] - 2*X[5]^2 - 2*X[6] + 1,_
+ -X[5] + 3*X[6] - 2*X[6]^2 - 2*X[7] + 1,_
+ -X[6] + 3*X[7] - 2*X[7]^2 - 2*X[8] + 1,_
+ -X[7] + 3*X[8] - 2*X[8]^2 - 2*X[9] + 1,_
+ -X[8] + 3*X[9] - 2*X[9]^2 + 1]
+--R 
+--R
+--R   (6)  FCN
+--R                                                              Type: Asp6(FCN)
+--E 15
+
+--S 16 of 26
+x:Matrix SF:= [[-1.0 ,-1.0 ,-1.0 ,-1.0 ,-1.0 ,-1.0 ,-1.0 ,-1.0 ,-1.0 ]]
+--R 
+--R
+--R   (7)  [- 1.  - 1.  - 1.  - 1.  - 1.  - 1.  - 1.  - 1.  - 1.]
+--R                                                    Type: Matrix(DoubleFloat)
+--E 16
+
+--S 17 of 26
+-- result:=c05nbf(n,lwa,x,xtol,-1,fi)
+--E 17
+
+)clear all
+
+--S 18 of 26
+showArrayValues true
+--R 
+--R
+--R   (1)  true
+--R                                                                Type: Boolean
+--E 18
+
+--S 19 of 26
+showScalarValues true
+--R 
+--R
+--R   (2)  true
+--R                                                                Type: Boolean
+--E 19
+
+--S 20 of 26
+n:=9
+--R 
+--R
+--R   (3)  9
+--R                                                        Type: PositiveInteger
+--E 20
+
+--S 21 of 26
+ldfjac:=n
+--R 
+--R
+--R   (4)  9
+--R                                                        Type: PositiveInteger
+--E 21
+
+--S 22 of 26
+lwa:=n*(n+13)/2
+--R 
+--R
+--R   (5)  99
+--R                                                      Type: Fraction(Integer)
+--E 22
+
+--S 23 of 26
+xtol:SF:=1.0e-9
+--R 
+--R
+--R   (6)  9.9999999999999986E-10
+--R                                                            Type: DoubleFloat
+--E 23
+
+--S 24 of 26
+x:Matrix SF:= [[-1.0 ,-1.0 ,-1.0 ,-1.0 ,-1.0 ,-1.0 ,-1.0 ,-1.0 ,-1.0 ]]
+--R 
+--R
+--R   (7)  [- 1.  - 1.  - 1.  - 1.  - 1.  - 1.  - 1.  - 1.  - 1.]
+--R                                                    Type: Matrix(DoubleFloat)
+--E 24
+
+--S 25 of 26
+fcn:ASP35(FCN):=retract vector[_
+3*X[1] - 2*X[1]^2 - 2*X[2] + 1,_
+-X[1] + 3*X[2] - 2*X[2]^2 - 2*X[3] + 1,_
+-X[2] + 3*X[3] - 2*X[3]^2 - 2*X[4] + 1,_
+-X[3] + 3*X[4] - 2*X[4]^2 - 2*X[5] + 1,_
+-X[4] + 3*X[5] - 2*X[5]^2 - 2*X[6] + 1,_
+-X[5] + 3*X[6] - 2*X[6]^2 - 2*X[7] + 1,_
+-X[6] + 3*X[7] - 2*X[7]^2 - 2*X[8] + 1,_
+-X[7] + 3*X[8] - 2*X[8]^2 - 2*X[9] + 1,_
+-X[8] + 3*X[9] - 2*X[9]^2 + 1]
+--R 
+--R
+--R   (8)  FCN
+--R                                                             Type: Asp35(FCN)
+--E 25
+
+--S 26 of 26
+-- result:=c05pbf(n,ldfjac,lwa,x,xtol,-1,fcn)
+--E 26
+
 )spool
 )lisp (bye)
 \end{chunk}
diff --git a/changelog b/changelog
index b5b0c84..24a2620 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,10 @@
+20141206 tpd src/axiom-website/patches.html 20141206.02.tpd.patch
+20141206 tpd books/bookvol10.4 NAGC05 absorb src/input test case files
+20141206 tpd src/input/Makefile remove c05adf, c05pbf, c05nbf
+20141206 tpd src/input/c05nbf.input absorbed, removed
+20141206 tpd src/input/c05pbf.input absorbed, removed
+20141206 tpd src/input/c05adf.input absorbed, removed
+20141206 tpd books/bookvol10.4 NAGC05 absorb src/input test case files
 20141206 tpd src/axiom-website/patches.html 20141206.01.tpd.patch
 20141206 tpd src/input/Makefile remove c02aff, c02agf
 20141206 tpd src/input/c02aff.input absorbed, removed
diff --git a/patch b/patch
index b3d9b40..3f155d0 100644
--- a/patch
+++ b/patch
@@ -1,2 +1,2 @@
-books/bookvol10.4 NAGC02 absorb src/input test case files
+books/bookvol10.4 NAGC05 absorb src/input test case files
 
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 5845055..ada679b 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -4760,6 +4760,8 @@ src/input/files some latex got broken in the ** to ^ change<br/>
 projects: Axiom continuous integration<br/>
 <a href="patches/20141206.01.tpd.patch">20141206.01.tpd.patch</a>
 books/bookvol10.4 NAGC02 absorb src/input test case files<br/>
+<a href="patches/20141206.02.tpd.patch">20141206.02.tpd.patch</a>
+books/bookvol10.4 NAGC05 absorb src/input test case files<br/>
  </body>
 </html>
 
diff --git a/src/input/Makefile.pamphlet b/src/input/Makefile.pamphlet
index 3fefaeb..fc9e6a5 100644
--- a/src/input/Makefile.pamphlet
+++ b/src/input/Makefile.pamphlet
@@ -188,7 +188,6 @@ TESTSYS=${OBJ}/${SYS}/bin/interpsys
 SKIP= as-eg1.output as-eg2.output    \
       as-eg3.output    as-eg4.output    as-eg5.output    as-eg6.output    \
       bern.output      bernpoly.output  \
-      c05adf.output    c05nbf.output    c05pbf.output    \
       c06eaf.output    c06ebf.output    c06ecf.output    c06ekf.output    \
       c06fpf.output    c06fqf.output    c06frf.output    c06fuf.output    \
       c06gbf.output    c06gcf.output    c06gqf.output    c06gsf.output    \
@@ -635,8 +634,7 @@ ASFILES=${OUT}/aseg6.as   ${OUT}/aseg7.as  ${OUT}/ecfact.as \
         ${OUT}/hilbert.as ${OUT}/matops.as ${OUT}/pdecomp0.as \
         ${OUT}/romnum.as
 
-NAGLIB=${OUT}/c05adf.input \
-       ${OUT}/c05nbf.input   ${OUT}/c05pbf.input     ${OUT}/c06eaf.input \
+NAGLIB=${OUT}/c06eaf.input \
        ${OUT}/c06ebf.input   ${OUT}/c06ecf.input     ${OUT}/c06ekf.input \
        ${OUT}/c06fpf.input   ${OUT}/c06fqf.input     ${OUT}/c06frf.input \
        ${OUT}/c06fuf.input   ${OUT}/c06gbf.input     ${OUT}/c06gcf.input \
@@ -1027,8 +1025,7 @@ DOCFILES= \
   ${DOC}/bug103.input.dvi \
   ${DOC}/bug10312.input.dvi    ${DOC}/bug6357.input.dvi    \
   ${DOC}/bug9057.input.dvi     ${DOC}/bugs.input.dvi       \
-  ${DOC}/c05adf.input.dvi      ${DOC}/c05nbf.input.dvi     \
-  ${DOC}/c05pbf.input.dvi      ${DOC}/c06eaf.input.dvi     \
+  ${DOC}/c06eaf.input.dvi     \
   ${DOC}/c06ebf.input.dvi      ${DOC}/c06ecf.input.dvi     \
   ${DOC}/c06ekf.input.dvi      ${DOC}/c06fpf.input.dvi     \
   ${DOC}/c06fqf.input.dvi      ${DOC}/c06frf.input.dvi     \
diff --git a/src/input/c05adf.input.pamphlet b/src/input/c05adf.input.pamphlet
deleted file mode 100644
index efb5b20..0000000
--- a/src/input/c05adf.input.pamphlet
+++ /dev/null
@@ -1,34 +0,0 @@
-\documentclass{article}
-\usepackage{axiom}
-\setlength{\textwidth}{400pt}
-\begin{document}
-\title{\$SPAD/src/input c05adf.input}
-\author{The Axiom Team}
-\maketitle
-\begin{abstract}
-\end{abstract}
-\eject
-\tableofcontents
-\eject
-\section{License}
-\begin{chunk}{license}
---Copyright The Numerical Algorithms Group Limited 1994.
-\end{chunk}
-\begin{chunk}{*}
-\getchunk{license}
-)clear all
-showArrayValues true
-showScalarValues true
-
-f:ASP1(F):=exp(-X)-X
-a:SF:=0.0
-b:SF:=1.0
-eps:SF:=1.0e-5
-eta:SF:=0.0
-result:= c05adf(a,b,eps,eta,-1,f)
-\end{chunk}
-\eject
-\begin{thebibliography}{99}
-\bibitem{1} nothing
-\end{thebibliography}
-\end{document}
diff --git a/src/input/c05nbf.input.pamphlet b/src/input/c05nbf.input.pamphlet
deleted file mode 100644
index d14f542..0000000
--- a/src/input/c05nbf.input.pamphlet
+++ /dev/null
@@ -1,44 +0,0 @@
-\documentclass{article}
-\usepackage{axiom}
-\setlength{\textwidth}{400pt}
-\begin{document}
-\title{\$SPAD/src/input c05nbf.input}
-\author{The Axiom Team}
-\maketitle
-\begin{abstract}
-\end{abstract}
-\eject
-\tableofcontents
-\eject
-\section{License}
-\begin{chunk}{license}
---Copyright The Numerical Algorithms Group Limited 1994.
-\end{chunk}
-\begin{chunk}{*}
-\getchunk{license}
-)clear all
-showArrayValues true
-showScalarValues true
-
-n:=9
-lwa:=n*(3*n+13)/2
-xtol:SF:=1.0e-9
-fi:ASP6(FCN):=retract vector[_
- 3*X[1] - 2*X[1]^2 - 2*X[2] + 1,_
- -X[1] + 3*X[2] - 2*X[2]^2 - 2*X[3] + 1,_
- -X[2] + 3*X[3] - 2*X[3]^2 - 2*X[4] + 1,_
- -X[3] + 3*X[4] - 2*X[4]^2 - 2*X[5] + 1,_
- -X[4] + 3*X[5] - 2*X[5]^2 - 2*X[6] + 1,_
- -X[5] + 3*X[6] - 2*X[6]^2 - 2*X[7] + 1,_
- -X[6] + 3*X[7] - 2*X[7]^2 - 2*X[8] + 1,_
- -X[7] + 3*X[8] - 2*X[8]^2 - 2*X[9] + 1,_
- -X[8] + 3*X[9] - 2*X[9]^2 + 1]
-x:Matrix SF:=
- [[-1.0 ,-1.0 ,-1.0 ,-1.0 ,-1.0 ,-1.0 ,-1.0 ,-1.0 ,-1.0 ]]
-result:=c05nbf(n,lwa,x,xtol,-1,fi)
-\end{chunk}
-\eject
-\begin{thebibliography}{99}
-\bibitem{1} nothing
-\end{thebibliography}
-\end{document}
diff --git a/src/input/c05pbf.input.pamphlet b/src/input/c05pbf.input.pamphlet
deleted file mode 100644
index 13f9a62..0000000
--- a/src/input/c05pbf.input.pamphlet
+++ /dev/null
@@ -1,45 +0,0 @@
-\documentclass{article}
-\usepackage{axiom}
-\setlength{\textwidth}{400pt}
-\begin{document}
-\title{\$SPAD/src/input c05pbf.input}
-\author{The Axiom Team}
-\maketitle
-\begin{abstract}
-\end{abstract}
-\eject
-\tableofcontents
-\eject
-\section{License}
-\begin{chunk}{license}
---Copyright The Numerical Algorithms Group Limited 1994.
-\end{chunk}
-\begin{chunk}{*}
-\getchunk{license}
-)clear all
-showArrayValues true
-showScalarValues true
-
-n:=9
-ldfjac:=n
-lwa:=n*(n+13)/2
-xtol:SF:=1.0e-9
-x:Matrix SF:=
- [[-1.0 ,-1.0 ,-1.0 ,-1.0 ,-1.0 ,-1.0 ,-1.0 ,-1.0 ,-1.0 ]]
-fcn:ASP35(FCN):=retract vector[_
-3*X[1] - 2*X[1]^2 - 2*X[2] + 1,_
--X[1] + 3*X[2] - 2*X[2]^2 - 2*X[3] + 1,_
--X[2] + 3*X[3] - 2*X[3]^2 - 2*X[4] + 1,_
--X[3] + 3*X[4] - 2*X[4]^2 - 2*X[5] + 1,_
--X[4] + 3*X[5] - 2*X[5]^2 - 2*X[6] + 1,_
--X[5] + 3*X[6] - 2*X[6]^2 - 2*X[7] + 1,_
--X[6] + 3*X[7] - 2*X[7]^2 - 2*X[8] + 1,_
--X[7] + 3*X[8] - 2*X[8]^2 - 2*X[9] + 1,_
--X[8] + 3*X[9] - 2*X[9]^2 + 1]
-result:=c05pbf(n,ldfjac,lwa,x,xtol,-1,fcn)
-\end{chunk}
-\eject
-\begin{thebibliography}{99}
-\bibitem{1} nothing
-\end{thebibliography}
-\end{document}
